Connect
WhatsApp Groups
Manage WhatsApp groups, send messages, and control participants
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Manage WhatsApp groups, send messages, and control participants
curl -X GET "https://api.wazzapi.com/api/v1/groups?session_name=my-session&limit=50" \
-H "Authorization: Bearer YOUR_API_KEY"
curl -X POST https://api.wazzapi.com/api/v1/groups/send \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"session_name": "my-session",
"group_jid": "[email protected]",
"text": "Hello everyone!"
}'
| Type | Endpoint | Supported |
|---|---|---|
| Text | POST /groups/send | ✅ |
| Image | POST /groups/send/media | ✅ |
| Video | POST /groups/send/media | ✅ |
| Voice | POST /groups/send/media | ✅ |
| Document | POST /groups/send/media | ✅ |
| Template | — | ❌ |
| Interactive | — | ❌ |
| Location | — | ❌ |
| Contact card | — | ❌ |
curl -X POST https://api.wazzapi.com/api/v1/groups/participants \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"session_name": "my-session",
"group_jid": "[email protected]",
"action": "add",
"participants": ["[email protected]"]
}'
# Set group name
curl -X POST https://api.wazzapi.com/api/v1/groups/[email protected]/name \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"session_name": "my-session",
"name": "New Group Name"
}'
# Lock group (admins only)
curl -X POST https://api.wazzapi.com/api/v1/groups/[email protected]/locked \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"session_name": "my-session",
"locked": true
}'
# Get invite link
curl -X POST "https://api.wazzapi.com/api/v1/groups/[email protected]/invite-link?session_name=my-session" \
-H "Authorization: Bearer YOUR_API_KEY"
# Join via invite link
curl -X POST https://api.wazzapi.com/api/v1/groups/join \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"session_name": "my-session",
"invite_link": "https://chat.whatsapp.com/HffXhYmzzyJGec61oqMXiz"
}'
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"phone_number": "[email protected]",
"chat_type": "group",
"group_jid": "[email protected]",
"group_name": "Super Group",
"content": "Hello everyone!",
"status": "sent",
"direction": "outbound"
}
| Field | Description |
|---|---|
chat_type | individual or group |
group_jid | The group’s WhatsApp JID |
group_name | Human-readable group name (looked up at send time) |